Package uk.ac.starlink.topcat

## Class DemoLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.datanode.tree.TreeTableLoadDialog
    - - uk.ac.starlink.topcat.DemoLoadDialog

- All Implemented Interfaces:
    `uk.ac.starlink.table.gui.TableLoadDialog`

      public class DemoLoadDialog
      extends uk.ac.starlink.datanode.tree.TreeTableLoadDialog

  Table load dialogue which presents some demonstration data.
  Since:
    1 Dec 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DemoLoadDialog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected uk.ac.starlink.datanode.tree.TableNodeChooser` | `createNodeChooser()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getName()` |

    - ### Methods inherited from class uk.ac.starlink.datanode.tree.TreeTableLoadDialog

      `createQueryComponent, createTableLoader, isReady`

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getIcon, getMenus, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DemoLoadDialog

          public DemoLoadDialog()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `uk.ac.starlink.table.gui.TableLoadDialog`
      Overrides:
        `getName` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `uk.ac.starlink.table.gui.TableLoadDialog`
      Overrides:
        `getDescription` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### createNodeChooser

          protected uk.ac.starlink.datanode.tree.TableNodeChooser createNodeChooser()

      Overrides:
        `createNodeChooser` in class `uk.ac.starlink.datanode.tree.TreeTableLoadDialog`